# Class FrontendLogEntry

java.lang.Object
com.databricks.jdbc.model.telemetry.FrontendLogEntry

public class FrontendLogEntry extends Object

## Constructor Summary

Constructors
Constructor
Description
`FrontendLogEntry()`

## Method Summary

Modifier and Type
Method
Description
`TelemetryEvent`
`getSqlDriverLog()`
`FrontendLogEntry`
`setSqlDriverLog(TelemetryEvent sqlDriverLog)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FrontendLogEntry

public FrontendLogEntry()

## Method Details

### getSqlDriverLog

public TelemetryEvent getSqlDriverLog()

### setSqlDriverLog

public FrontendLogEntry setSqlDriverLog(TelemetryEvent sqlDriverLog)

### toString

public String toString()

Overrides:
  `toString` in class `Object`